Package junit.extensions

# Class RepeatedTest

java.lang.Object
junit.framework.Assert
junit.extensions.TestDecorator
junit.extensions.RepeatedTest

All Implemented Interfaces:
  `Test`

public class RepeatedTest extends TestDecorator
A Decorator that runs a test repeatedly.

## Field Summary

### Fields inherited from class junit.extensions.TestDecorator

`fTest`

## Constructor Summary

Constructors
Constructor
Description
`RepeatedTest(Test test, int repeat)`

## Method Summary

Modifier and Type
Method
Description
`int`
`countTestCases()`
Counts the number of test cases that will be run by this test.
`void`
`run(TestResult result)`
Runs a test and collects its result in a TestResult instance.
`String`
`toString()`

### Methods inherited from class junit.extensions.TestDecorator

`basicRun, getTest`

### Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RepeatedTest

public RepeatedTest(Test test, int repeat)

## Method Details

### countTestCases

public int countTestCases()
Description copied from interface: `Test`
Counts the number of test cases that will be run by this test.

Specified by:
  `countTestCases` in interface `Test`
Overrides:
  `countTestCases` in class `TestDecorator`

### run

public void run(TestResult result)
Description copied from interface: `Test`
Runs a test and collects its result in a TestResult instance.

Specified by:
  `run` in interface `Test`
Overrides:
  `run` in class `TestDecorator`

### toString

public String toString()

Overrides:
  `toString` in class `TestDecorator`